#PBS -o cluster.stdout.log
#PBS -e cluster.stderr.log

from ase.io import read
from gpaw import GPAW
from gpaw.mpi import world
#from gpaw.utilities.timing import DebugTimer

from kwargs import getkwargs

system = read('cluster.traj')
system.center(vacuum=5.0)

id = __file__.split('/')[-1].rsplit('.', 1)[0]

kwargs = getkwargs(system,
                   txt='gpaw.%s.txt' % id,
                   maxiter=3)

#timerfd = txt=open('timer.%02d.txt' % world.rank, 'w')

calc = GPAW(**kwargs)
#calc.timer = DebugTimer(flush=True, txt=timerfd)
system.set_calculator(calc)
system.get_potential_energy()
